Package org.jcsp.net

# Interface NetBufferedChannelEndFactory

All Known Implementing Classes:
  `StandardNetChannelEndFactory`, `UnacknowledgedNetChannelEndFactory`

public interface NetBufferedChannelEndFactory
This interface defines methods for constructing buffered Networked `ChannelInput` objects.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelInput`
`createNet2Any(ChannelDataStore buffer)`
Constructs a `NetSharedChannelInput` object.
`NetAltingChannelInput`
`createNet2One(ChannelDataStore buffer)`
Constructs a `NetAltingChannelInput` object.

## Method Details

### createNet2One

NetAltingChannelInput createNet2One(ChannelDataStore buffer)
Constructs a `NetAltingChannelInput` object.

Parameters:
  `buffer` - the `ChannelDataStore` to use as a buffer.
Returns:
  the constructed `NetAltingChannelInput` object.

### createNet2Any

NetSharedChannelInput createNet2Any(ChannelDataStore buffer)
Constructs a `NetSharedChannelInput` object.

Parameters:
  `buffer` - the `ChannelDataStore` to use as a buffer.
Returns:
  the constructed `NetSharedChannelInput` object.